> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailchannels.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request sender delisting

> Request delisting for a sender identified by a message ID or envelope sender address. Provide at least one of `message_id` or `sender`. If you provide both, `message_id` is used to find the message.

This endpoint supports sender delisting only. It does not accept false positive or false negative reports or other content remediation requests.



## OpenAPI

````yaml /outbound/api-reference/openapi.yaml post /remediation
openapi: 3.0.3
info:
  contact:
    email: support@mailchannels.com
    name: MailChannels Corporation
  description: >
    Search email delivery logs, retrieve sender profiles, and query alerts with
    the MailChannels Log Search API.


    ## Rate limits


    This API is limited to 100 queries per second, per customer.

    Queries that exceed this rate may be rejected with the `503 Service
    Temporarily Unavailable` HTTP response.
  title: Search Service
  version: 0.7.0
servers:
  - url: https://api.mailchannels.net/outbound/v1/
security:
  - X-API-KEY: []
paths:
  /remediation:
    post:
      summary: Request sender delisting
      description: >-
        Request delisting for a sender identified by a message ID or envelope
        sender address. Provide at least one of `message_id` or `sender`. If you
        provide both, `message_id` is used to find the message.


        This endpoint supports sender delisting only. It does not accept false
        positive or false negative reports or other content remediation
        requests.
      parameters:
        - description: The authentication header added by the API gateway.
          in: header
          name: X-Customer-Handle
          required: true
          schema:
            type: string
        - description: >-
            The ID of the message to use for the delisting request. Required if
            sender is omitted.
          in: query
          name: message_id
          required: false
          schema:
            type: string
        - description: >-
            The envelope sender address from the SMTP MAIL FROM command.
            Required if message_id is omitted.
          in: query
          name: sender
          required: false
          schema:
            type: string
      responses:
        '200':
          description: The sender delisting request completed successfully.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: No eligible items found for remediation.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Error.
components:
  schemas:
    ErrorResponse:
      properties:
        code:
          description: HTTP response code.
          type: integer
        errors:
          items:
            description: Response error.
            type: string
          type: array
        message:
          description: Response message.
          type: string
  securitySchemes:
    X-API-KEY:
      in: header
      name: X-API-KEY
      type: apiKey

````